Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 1515539 - Review Request: ghc-monad-par-extras - Combinators and extra features for Par monads
Summary: Review Request: ghc-monad-par-extras - Combinators and extra features for Par...
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: Package Review
Version: rawhide
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Robert-André Mauchin
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On: 1514721
Blocks: 1518002
TreeView+ depends on / blocked
 
Reported: 2017-11-21 02:47 UTC by Elliott Sales de Andrade
Modified: 2018-01-02 16:51 UTC (History)
2 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2018-01-02 16:24:18 UTC
zebob.m: fedora-review+


Attachments (Terms of Use)

Description Elliott Sales de Andrade 2017-11-21 02:47:44 UTC
Spec URL: http://qulogic.fedorapeople.org//ghc-monad-par-extras.spec
SRPM URL: http://qulogic.fedorapeople.org//ghc-monad-par-extras-0.3.3-1.fc26.src.rpm

Description:
The modules below provide additional data structures, and other added
capabilities layered on top of the 'Par' monad.

Comment 1 Elliott Sales de Andrade 2017-11-21 02:47:50 UTC
This package built on koji:  https://koji.fedoraproject.org/koji/taskinfo?taskID=23274623

Comment 2 Robert-André Mauchin 2017-11-22 22:47:04 UTC
Package accepted.

Comment 3 Gwyn Ciesla 2017-11-27 13:39:58 UTC
(fedrepo-req-admin):  The Pagure repository was created at https://src.fedoraproject.org/rpms/ghc-monad-par-extras

Comment 4 Fedora Update System 2017-12-18 20:55:11 UTC
ghc-criterion-1.2.6.0-2.fc27 ghc-statistics-0.14.0.2-2.fc27 ghc-foldl-1.3.4-1.fc27 ghc-vector-th-unbox-0.2.1.6-1.fc27 ghc-text-short-0.1.1-1.fc27 ghc-optional-args-1.0.1-1.fc27 ghc-microstache-1.0.1.1-1.fc27 ghc-managed-1.0.5-1.fc27 ghc-hostname-1.0-1.fc27 ghc-erf-2.0.0.0-1.fc27 ghc-code-page-0.1.3-1.fc27 ghc-base-prelude-1.2.0.1-1.fc27 ghc-abstract-par-0.3.3-1.fc27 ghc-abstract-deque-0.3-1.fc27 ghc-Only-0.1-1.fc27 ghc-Glob-0.9.1-1.fc27 ghc-vector-builder-0.3.4.1-1.fc27 ghc-monad-par-extras-0.3.3-1.fc27 ghc-math-functions-0.2.1.0-1.fc27 ghc-cassava-0.5.1.0-1.fc27 ghc-monad-par-0.3.4.8-1.fc27 ghc-turtle-1.4.5-1.fc27 bench-1.0.7-1.fc27 has been submitted as an update to Fedora 27. https://bodhi.fedoraproject.org/updates/FEDORA-2017-637e0413b0

Comment 5 Fedora Update System 2017-12-18 20:58:52 UTC
ghc-vector-th-unbox-0.2.1.6-1.fc26 ghc-vector-builder-0.3.4.1-1.fc26 ghc-turtle-1.4.5-1.fc26 ghc-text-short-0.1.1-1.fc26 ghc-statistics-0.14.0.2-2.fc26 ghc-optional-args-1.0.1-1.fc26 ghc-Only-0.1-1.fc26 ghc-monad-par-extras-0.3.3-1.fc26 ghc-monad-par-0.3.4.8-1.fc26 ghc-microstache-1.0.1.1-1.fc26 ghc-math-functions-0.2.1.0-1.fc26 ghc-managed-1.0.5-1.fc26 ghc-hostname-1.0-1.fc26 ghc-Glob-0.9.1-1.fc26 ghc-foldl-1.3.4-1.fc26 ghc-erf-2.0.0.0-1.fc26 ghc-criterion-1.2.6.0-2.fc26 ghc-code-page-0.1.3-1.fc26 ghc-cassava-0.5.1.0-1.fc26 ghc-base-prelude-1.2.0.1-1.fc26 ghc-abstract-par-0.3.3-1.fc26 ghc-abstract-deque-0.3-1.fc26 bench-1.0.7-1.fc26 has been submitted as an update to Fedora 26. https://bodhi.fedoraproject.org/updates/FEDORA-2017-ddfb9c3cc5

Comment 6 Fedora Update System 2017-12-19 22:48:01 UTC
bench-1.0.7-1.fc27, ghc-Glob-0.9.1-1.fc27, ghc-Only-0.1-1.fc27, ghc-abstract-deque-0.3-1.fc27, ghc-abstract-par-0.3.3-1.fc27, ghc-base-prelude-1.2.0.1-1.fc27, ghc-cassava-0.5.1.0-1.fc27, ghc-code-page-0.1.3-1.fc27, ghc-criterion-1.2.6.0-2.fc27, ghc-erf-2.0.0.0-1.fc27, ghc-foldl-1.3.4-1.fc27, ghc-hostname-1.0-1.fc27, ghc-managed-1.0.5-1.fc27, ghc-math-functions-0.2.1.0-1.fc27, ghc-microstache-1.0.1.1-1.fc27, ghc-monad-par-0.3.4.8-1.fc27, ghc-monad-par-extras-0.3.3-1.fc27, ghc-optional-args-1.0.1-1.fc27, ghc-statistics-0.14.0.2-2.fc27, ghc-text-short-0.1.1-1.fc27, ghc-turtle-1.4.5-1.fc27, ghc-vector-builder-0.3.4.1-1.fc27, ghc-vector-th-unbox-0.2.1.6-1.fc27 has been pushed to the Fedora 27 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2017-637e0413b0

Comment 7 Fedora Update System 2017-12-19 23:00:52 UTC
bench-1.0.7-2.fc27 ghc-Glob-0.9.1-1.fc27 ghc-Only-0.1-1.fc27 ghc-abstract-deque-0.3-1.fc27 ghc-abstract-par-0.3.3-1.fc27 ghc-base-prelude-1.2.0.1-1.fc27 ghc-cassava-0.5.1.0-1.fc27 ghc-code-page-0.1.3-1.fc27 ghc-criterion-1.2.6.0-2.fc27 ghc-erf-2.0.0.0-1.fc27 ghc-foldl-1.3.4-1.fc27 ghc-hostname-1.0-1.fc27 ghc-managed-1.0.5-1.fc27 ghc-math-functions-0.2.1.0-1.fc27 ghc-microstache-1.0.1.1-1.fc27 ghc-monad-par-0.3.4.8-1.fc27 ghc-monad-par-extras-0.3.3-1.fc27 ghc-optional-args-1.0.1-1.fc27 ghc-statistics-0.14.0.2-2.fc27 ghc-text-short-0.1.1-1.fc27 ghc-turtle-1.5.0-1.fc27 ghc-vector-builder-0.3.4.1-1.fc27 ghc-vector-th-unbox-0.2.1.6-1.fc27 has been submitted as an update to Fedora 27. https://bodhi.fedoraproject.org/updates/FEDORA-2017-637e0413b0

Comment 8 Fedora Update System 2017-12-19 23:43:08 UTC
bench-1.0.7-1.fc26, ghc-Glob-0.9.1-1.fc26, ghc-Only-0.1-1.fc26, ghc-abstract-deque-0.3-1.fc26, ghc-abstract-par-0.3.3-1.fc26, ghc-base-prelude-1.2.0.1-1.fc26, ghc-cassava-0.5.1.0-1.fc26, ghc-code-page-0.1.3-1.fc26, ghc-criterion-1.2.6.0-2.fc26, ghc-erf-2.0.0.0-1.fc26, ghc-foldl-1.3.4-1.fc26, ghc-hostname-1.0-1.fc26, ghc-managed-1.0.5-1.fc26, ghc-math-functions-0.2.1.0-1.fc26, ghc-microstache-1.0.1.1-1.fc26, ghc-monad-par-0.3.4.8-1.fc26, ghc-monad-par-extras-0.3.3-1.fc26, ghc-optional-args-1.0.1-1.fc26, ghc-statistics-0.14.0.2-2.fc26, ghc-text-short-0.1.1-1.fc26, ghc-turtle-1.4.5-1.fc26, ghc-vector-builder-0.3.4.1-1.fc26, ghc-vector-th-unbox-0.2.1.6-1.fc26 has been pushed to the Fedora 26 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2017-ddfb9c3cc5

Comment 9 Fedora Update System 2017-12-19 23:49:58 UTC
bench-1.0.7-2.fc26 ghc-Glob-0.9.1-1.fc26 ghc-Only-0.1-1.fc26 ghc-abstract-deque-0.3-1.fc26 ghc-abstract-par-0.3.3-1.fc26 ghc-base-prelude-1.2.0.1-1.fc26 ghc-cassava-0.5.1.0-1.fc26 ghc-code-page-0.1.3-1.fc26 ghc-criterion-1.2.6.0-2.fc26 ghc-erf-2.0.0.0-1.fc26 ghc-foldl-1.3.4-1.fc26 ghc-hostname-1.0-1.fc26 ghc-managed-1.0.5-1.fc26 ghc-math-functions-0.2.1.0-1.fc26 ghc-microstache-1.0.1.1-1.fc26 ghc-monad-par-0.3.4.8-1.fc26 ghc-monad-par-extras-0.3.3-1.fc26 ghc-optional-args-1.0.1-1.fc26 ghc-statistics-0.14.0.2-2.fc26 ghc-text-short-0.1.1-1.fc26 ghc-turtle-1.5.0-1.fc26 ghc-vector-builder-0.3.4.1-1.fc26 ghc-vector-th-unbox-0.2.1.6-1.fc26 has been submitted as an update to Fedora 26. https://bodhi.fedoraproject.org/updates/FEDORA-2017-ddfb9c3cc5

Comment 10 Fedora Update System 2017-12-21 20:23:46 UTC
bench-1.0.7-2.fc27, ghc-Glob-0.9.1-1.fc27, ghc-Only-0.1-1.fc27, ghc-abstract-deque-0.3-1.fc27, ghc-abstract-par-0.3.3-1.fc27, ghc-base-prelude-1.2.0.1-1.fc27, ghc-cassava-0.5.1.0-1.fc27, ghc-code-page-0.1.3-1.fc27, ghc-criterion-1.2.6.0-2.fc27, ghc-erf-2.0.0.0-1.fc27, ghc-foldl-1.3.4-1.fc27, ghc-hostname-1.0-1.fc27, ghc-managed-1.0.5-1.fc27, ghc-math-functions-0.2.1.0-1.fc27, ghc-microstache-1.0.1.1-1.fc27, ghc-monad-par-0.3.4.8-1.fc27, ghc-monad-par-extras-0.3.3-1.fc27, ghc-optional-args-1.0.1-1.fc27, ghc-statistics-0.14.0.2-2.fc27, ghc-text-short-0.1.1-1.fc27, ghc-turtle-1.5.0-1.fc27, ghc-vector-builder-0.3.4.1-1.fc27, ghc-vector-th-unbox-0.2.1.6-1.fc27 has been pushed to the Fedora 27 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2017-637e0413b0

Comment 11 Fedora Update System 2017-12-21 21:09:51 UTC
bench-1.0.7-2.fc26, ghc-Glob-0.9.1-1.fc26, ghc-Only-0.1-1.fc26, ghc-abstract-deque-0.3-1.fc26, ghc-abstract-par-0.3.3-1.fc26, ghc-base-prelude-1.2.0.1-1.fc26, ghc-cassava-0.5.1.0-1.fc26, ghc-code-page-0.1.3-1.fc26, ghc-criterion-1.2.6.0-2.fc26, ghc-erf-2.0.0.0-1.fc26, ghc-foldl-1.3.4-1.fc26, ghc-hostname-1.0-1.fc26, ghc-managed-1.0.5-1.fc26, ghc-math-functions-0.2.1.0-1.fc26, ghc-microstache-1.0.1.1-1.fc26, ghc-monad-par-0.3.4.8-1.fc26, ghc-monad-par-extras-0.3.3-1.fc26, ghc-optional-args-1.0.1-1.fc26, ghc-statistics-0.14.0.2-2.fc26, ghc-text-short-0.1.1-1.fc26, ghc-turtle-1.5.0-1.fc26, ghc-vector-builder-0.3.4.1-1.fc26, ghc-vector-th-unbox-0.2.1.6-1.fc26 has been pushed to the Fedora 26 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2017-ddfb9c3cc5

Comment 12 Fedora Update System 2018-01-02 16:24:18 UTC
bench-1.0.7-2.fc26, ghc-Glob-0.9.1-1.fc26, ghc-Only-0.1-1.fc26, ghc-abstract-deque-0.3-1.fc26, ghc-abstract-par-0.3.3-1.fc26, ghc-base-prelude-1.2.0.1-1.fc26, ghc-cassava-0.5.1.0-1.fc26, ghc-code-page-0.1.3-1.fc26, ghc-criterion-1.2.6.0-2.fc26, ghc-erf-2.0.0.0-1.fc26, ghc-foldl-1.3.4-1.fc26, ghc-hostname-1.0-1.fc26, ghc-managed-1.0.5-1.fc26, ghc-math-functions-0.2.1.0-1.fc26, ghc-microstache-1.0.1.1-1.fc26, ghc-monad-par-0.3.4.8-1.fc26, ghc-monad-par-extras-0.3.3-1.fc26, ghc-optional-args-1.0.1-1.fc26, ghc-statistics-0.14.0.2-2.fc26, ghc-text-short-0.1.1-1.fc26, ghc-turtle-1.5.0-1.fc26, ghc-vector-builder-0.3.4.1-1.fc26, ghc-vector-th-unbox-0.2.1.6-1.fc26 has been pushed to the Fedora 26 stable repository. If problems still persist, please make note of it in this bug report.

Comment 13 Fedora Update System 2018-01-02 16:51:13 UTC
bench-1.0.7-2.fc27, ghc-Glob-0.9.1-1.fc27, ghc-Only-0.1-1.fc27, ghc-abstract-deque-0.3-1.fc27, ghc-abstract-par-0.3.3-1.fc27, ghc-base-prelude-1.2.0.1-1.fc27, ghc-cassava-0.5.1.0-1.fc27, ghc-code-page-0.1.3-1.fc27, ghc-criterion-1.2.6.0-2.fc27, ghc-erf-2.0.0.0-1.fc27, ghc-foldl-1.3.4-1.fc27, ghc-hostname-1.0-1.fc27, ghc-managed-1.0.5-1.fc27, ghc-math-functions-0.2.1.0-1.fc27, ghc-microstache-1.0.1.1-1.fc27, ghc-monad-par-0.3.4.8-1.fc27, ghc-monad-par-extras-0.3.3-1.fc27, ghc-optional-args-1.0.1-1.fc27, ghc-statistics-0.14.0.2-2.fc27, ghc-text-short-0.1.1-1.fc27, ghc-turtle-1.5.0-1.fc27, ghc-vector-builder-0.3.4.1-1.fc27, ghc-vector-th-unbox-0.2.1.6-1.fc27 has been pushed to the Fedora 27 stable repository. If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.